List agent skill versions
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/agent-skill-versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/agent-skill-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/agent-skill-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"type": "agent-skill",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2
},
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": []
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Agent Skills
List agent skill versions
List agent skill versions with optional filtering by FQN, agent skill ID, ML Repo, name, or version.
GET
/
api
/
svc
/
v1
/
agent-skill-versions
List agent skill versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Fully Qualified Name uniquely identifying the agent skill version.
Identifier of the agent skill whose versions are being listed.
Identifier of the ML Repo to filter agent skill versions by.
Name of the agent skill to filter versions by.
Version number (positive integer) to filter by.
Response
200 - application/json
List of agent skill versions matching the query with pagination information
Was this page helpful?